# Interface LocaleResult

Result of calling parseLocale.

interface LocaleResult {
language: string;
script?: string;
territory?: string;
}

#####
Index

### Properties

language
script?
territory?

##
Properties

### language

language: string

The language component, e.g. "es".

### `Optional` script

script?: string

The script (alphabet), e.g "Hans".

### `Optional` territory

territory?: string

The territory, e.g. "CA" in "en-CA".